Bug 989805 - [abrt] liferea-1.8.15-1.fc19: g_task_propagate_error: Process /usr/bin/liferea was killed by signal 11 (SIGSEGV)
[abrt] liferea-1.8.15-1.fc19: g_task_propagate_error: Process /usr/bin/lifere...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: liferea (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
abrt_hash:a075339782c5cbd846dc8b3e17b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 21:42 EDT by Stewart Smith
Modified: 2015-02-17 11:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:25:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.71 KB, text/plain)
2013-07-29 21:42 EDT, Stewart Smith
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-29 21:42 EDT, Stewart Smith
no flags Details
File: core_backtrace (1.99 KB, text/plain)
2013-07-29 21:42 EDT, Stewart Smith
no flags Details
File: dso_list (16.95 KB, text/plain)
2013-07-29 21:42 EDT, Stewart Smith
no flags Details
File: environ (1.52 KB, text/plain)
2013-07-29 21:42 EDT, Stewart Smith
no flags Details
File: gconf_subtree (1.33 KB, text/plain)
2013-07-29 21:42 EDT, Stewart Smith
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 21:42 EDT, Stewart Smith
no flags Details
File: maps (96.06 KB, text/plain)
2013-07-29 21:42 EDT, Stewart Smith
no flags Details
File: open_fds (1.33 KB, text/plain)
2013-07-29 21:42 EDT, Stewart Smith
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-07-29 21:42 EDT, Stewart Smith
no flags Details
File: var_log_messages (16.14 KB, text/plain)
2013-07-29 21:43 EDT, Stewart Smith
no flags Details
File: xsession_errors (103.61 KB, text/plain)
2013-07-29 21:43 EDT, Stewart Smith
no flags Details

  None (edit)
Description Stewart Smith 2013-07-29 21:42:18 EDT
Description of problem:
Crash when going to next unread article.

Version-Release number of selected component:
liferea-1.8.15-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        liferea
crash_function: g_task_propagate_error
executable:     /usr/bin/liferea
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_task_propagate_error at gtask.c:1432
 #1 g_task_propagate_boolean at gtask.c:1613
 #2 finish_handshake at gtlsconnection-gnutls.c:1250
 #3 claim_op at gtlsconnection-gnutls.c:555
 #4 g_tls_connection_gnutls_write at gtlsconnection-gnutls.c:1471
 #5 g_pollable_output_stream_write_nonblocking at gpollableoutputstream.c:215
 #6 g_pollable_stream_write at gpollableutils.c:272
 #7 io_write at soup-message-io.c:322
 #8 io_run_until at soup-message-io.c:858
 #9 soup_message_io_run_until_read at soup-message-io.c:963
Comment 1 Stewart Smith 2013-07-29 21:42:23 EDT
Created attachment 780210 [details]
File: backtrace
Comment 2 Stewart Smith 2013-07-29 21:42:26 EDT
Created attachment 780211 [details]
File: cgroup
Comment 3 Stewart Smith 2013-07-29 21:42:30 EDT
Created attachment 780212 [details]
File: core_backtrace
Comment 4 Stewart Smith 2013-07-29 21:42:34 EDT
Created attachment 780213 [details]
File: dso_list
Comment 5 Stewart Smith 2013-07-29 21:42:37 EDT
Created attachment 780214 [details]
File: environ
Comment 6 Stewart Smith 2013-07-29 21:42:40 EDT
Created attachment 780215 [details]
File: gconf_subtree
Comment 7 Stewart Smith 2013-07-29 21:42:45 EDT
Created attachment 780216 [details]
File: limits
Comment 8 Stewart Smith 2013-07-29 21:42:49 EDT
Created attachment 780217 [details]
File: maps
Comment 9 Stewart Smith 2013-07-29 21:42:53 EDT
Created attachment 780218 [details]
File: open_fds
Comment 10 Stewart Smith 2013-07-29 21:42:56 EDT
Created attachment 780219 [details]
File: proc_pid_status
Comment 11 Stewart Smith 2013-07-29 21:43:00 EDT
Created attachment 780220 [details]
File: var_log_messages
Comment 12 Stewart Smith 2013-07-29 21:43:04 EDT
Created attachment 780221 [details]
File: xsession_errors
Comment 13 Michael Catanzaro 2014-02-27 21:03:51 EST
Without having looked at what WebKit is actually doing, I *think* this is this glib-networking bug: https://bugzilla.gnome.org/show_bug.cgi?id=697754

Which is fixed in F20.  F19 just needs a two-line patch.
Comment 14 Fedora End Of Life 2015-01-09 14:09:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 11:25:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.